## Get specific address

### cURL

```
curl --request GET \
  --url https://demo.fabric.zone/api-commerceIdentity/user/{userId}/address/{addressId} \
  --header 'x-api-key: <api-key>' \
  --header 'x-site-context: <x-site-context>'
```

### Python

```python
import requests

url = "https://demo.fabric.zone/api-commerceIdentity/user/{userId}/address/{addressId}"

headers = {
    "x-site-context": "<x-site-context>",
    "x-api-key": "<api-key>"
}

response = requests.get(url, headers=headers)

print(response.text)
```

### JavaScript (Fetch)

```javascript
const options = {
  method: 'GET',
  headers: {'x-site-context': '<x-site-context>', 'x-api-key': '<api-key>'}
};

fetch('https://demo.fabric.zone/api-commerceIdentity/user/{userId}/address/{addressId}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

### PHP

```php


```

### Possible Responses

- **200**:

```json
[
  {
    "address1": "1234 Main St.",
    "city": "Houston",
    "state": "TX",
    "country": "USA",
    "zipCode": 77035,
    "email": "test@mail.com",
    "isValidated": true,
    "isDefault": true,
    "attention": "Account Manager",
    "address2": "Suite 710",
    "address3": "Floor 7",
    "company": "Acme Inc.",
    "kind": "Business",
    "phone": {
      "number": "555-123-4567",
      "kind": "Mobile"
    },
    "name": {
      "first": "Pat",
      "last": "Kake"
    }
  }
]
```

- **404**:

```json
{
  "error": "ADDRESS_NOT_FOUND",
  "code": "404",
  "message": "Address not found"
}
```

- **500**:

```json
{
  "error": "INTERNAL_SERVER_ERROR",
  "code": "500",
  "message": "Internal server error"
}
```

### Authorizations

- **ApiKeyAuth** (required)

#### Headers

- `x-api-key` (string, required)
- `x-site-context` (string, required, JSON object containing variables such as account, channel, stage, date)

### Path Parameters

- `userId` (string, required)
- `addressId` (string, required)

### Response Fields

- **address1** (string, required): Primary address
- **city** (string, required): Address city
- **state** (string, required): Address state
- **country** (string, required): Address country
- **zipCode** (string, required): Address zip code
- **email** (string, required): Email address
- **isValidated** (boolean, required): true if validated, false otherwise
- **isDefault** (boolean, required): true if this is the default address
- **attention** (string): Address recipient
- **address2** (string): Second address line
- **address3** (string): Third address line
- **company** (string): Company name
- **kind** (string): Address type
- **phone** (object): Telephone information
- **name** (object): Name information
